gsasl_client_mechlist(3)

NAME
gsasl_client_mechlist - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_client_mechlist(Gsasl * ctx, char ** out);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

char ** out
    newly allocated output character array.

DESCRIPTION
Return a newly allocated string containing SASL names, separated by space, of mechanisms supported by the libgsasl client. out is allocated by this function, and it is the responsibility of caller to deallocate it. Return value: Returns GSASL_OK if successful, or error code.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/